com.jnape.palatable.lambda.functions.builtin.fn2

## Class Tupler2<A,B>

- java.lang.Object
- - com.jnape.palatable.lambda.functions.builtin.fn2.Tupler2<A,B>

- Type Parameters:
    `A` - The type of the first value; also the first slot type of returned Tuple2
    `B` - The type of the second value; also the second slot type of returned Tuple2
  All Implemented Interfaces:
    Fn1<A,Fn1<B,Tuple2<A,B>>>, Fn2<A,B,Tuple2<A,B>>, Applicative<Fn1<B,Tuple2<A,B>>,Fn1<A,?>>, Cartesian<A,Fn1<B,Tuple2<A,B>>,Fn1<?,?>>, Cocartesian<A,Fn1<B,Tuple2<A,B>>,Fn1<?,?>>, Contravariant<A,Profunctor<?,Fn1<B,Tuple2<A,B>>,Fn1<?,?>>>, Functor<Fn1<B,Tuple2<A,B>>,Fn1<A,?>>, Profunctor<A,Fn1<B,Tuple2<A,B>>,Fn1<?,?>>, Monad<Fn1<B,Tuple2<A,B>>,Fn1<A,?>>, MonadReader<A,Fn1<B,Tuple2<A,B>>,Fn1<A,?>>, MonadRec<Fn1<B,Tuple2<A,B>>,Fn1<A,?>>, MonadWriter<A,Fn1<B,Tuple2<A,B>>,Fn1<A,?>>

      public final class Tupler2<A,B>
      extends Object
      implements Fn2<A,B,Tuple2<A,B>>

  Creates a `Tuple2` from two values.
  See Also:
    `Tuple2`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Tuple2<A,B>` | `checkedApply(A a, B b)`
    `static <A,B> Tupler2<A,B>` | `tupler()`
    `static <A,B> Fn1<B,Tuple2<A,B>>` | `tupler(A a)`
    `static <A,B> Tuple2<A,B>` | `tupler(A a, B b)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn2

      `apply, apply, checkedApply, compose, contraMap, curried, curry, diMapL, discardR, flip, fn2, fromBiFunction, toBiFunction, uncurry, widen`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn1

      `andThen, carry, cartesian, censor, choose, cocartesian, diMap, diMapR, discardL, flatMap, fmap, fn1, fromFunction, lazyZip, listens, local, pure, pureFn1, thunk, toFunction, trampolineM, zip, zip`

    - ### Methods inherited from interface com.jnape.palatable.lambda.monad.Monad

      `join`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functor.Functor

      `coerce`

- - ### Method Detail

    - #### checkedApply

          public Tuple2<A,B> checkedApply(A a,
                                          B b)

      Specified by:
        `checkedApply` in interface `Fn2<A,B,Tuple2<A,B>>`

    - #### tupler

          public static <A,B> Tupler2<A,B> tupler()

    - #### tupler

          public static <A,B> Fn1<B,Tuple2<A,B>> tupler(A a)

    - #### tupler

          public static <A,B> Tuple2<A,B> tupler(A a,
                                                 B b)